devel/pdcurses - The NetBSD Packages Collection

Public domain implementation of the X/Open curses standard

PDCurses is a public domain curses library that implements most of
the functions available in X/Open and System V R4 curses.  This X11
port allows for recompiling programs using text-mode curses to produce
native X11 applications.

Build dependencies

pkgtools/x11-links x11/xorgproto pkgtools/cwrappers devel/libtool-base

Runtime dependencies

x11/libXpm

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpdcurses-3.4nb1.tgz
NetBSD 8.0earmv7hfpdcurses-3.4nb1.tgz
NetBSD 8.0earmv7hfpdcurses-3.4nb1.tgz
NetBSD 8.0i386pdcurses-3.4nb1.tgz
NetBSD 8.0i386pdcurses-3.4nb1.tgz
NetBSD 8.0i386pdcurses-3.4nb1.tgz
NetBSD 8.0powerpcpdcurses-3.4nb1.tgz
NetBSD 8.0powerpcpdcurses-3.4nb1.tgz
NetBSD 8.0powerpcpdcurses-3.4nb1.tgz
NetBSD 8.0x86_64pdcurses-3.4nb1.tgz
NetBSD 8.0x86_64pdcurses-3.4nb1.tgz
NetBSD 9.0aarch64pdcurses-3.4nb1.tgz
NetBSD 9.0aarch64pdcurses-3.4nb1.tgz
NetBSD 9.0aarch64pdcurses-3.4nb1.tgz
NetBSD 9.0alphapdcurses-3.4nb1.tgz
NetBSD 9.0alphapdcurses-3.4nb1.tgz
NetBSD 9.0alphapdcurses-3.4nb1.tgz
NetBSD 9.0earmv6hfpdcurses-3.4nb1.tgz
NetBSD 9.0earmv6hfpdcurses-3.4nb1.tgz
NetBSD 9.0earmv6hfpdcurses-3.4nb1.tgz
NetBSD 9.0earmv6hfpdcurses-3.4nb1.tgz
NetBSD 9.0earmv7hfpdcurses-3.4nb1.tgz
NetBSD 9.0earmv7hfpdcurses-3.4nb1.tgz
NetBSD 9.0earmv7hfpdcurses-3.4nb1.tgz
NetBSD 9.0earmv7hfpdcurses-3.4nb1.tgz
NetBSD 9.0i386pdcurses-3.4nb1.tgz
NetBSD 9.0i386pdcurses-3.4nb1.tgz
NetBSD 9.0i386pdcurses-3.4nb1.tgz
NetBSD 9.0mips64ebpdcurses-3.4nb1.tgz
NetBSD 9.0mips64ebpdcurses-3.4nb1.tgz
NetBSD 9.0mips64ebpdcurses-3.4nb1.tgz
NetBSD 9.0powerpcpdcurses-3.4nb1.tgz
NetBSD 9.0powerpcpdcurses-3.4nb1.tgz
NetBSD 9.0sparc64pdcurses-3.4nb1.tgz
NetBSD 9.0sparc64pdcurses-3.4nb1.tgz
NetBSD 9.0sparc64pdcurses-3.4nb1.tgz
NetBSD 9.0sparc64pdcurses-3.4nb1.tgz
NetBSD 9.0sparcpdcurses-3.4nb1.tgz
NetBSD 9.0sparcpdcurses-3.4nb1.tgz
NetBSD 9.0sparcpdcurses-3.4nb1.tgz
NetBSD 9.0x86_64pdcurses-3.4nb1.tgz
NetBSD 9.0x86_64pdcurses-3.4nb1.tgz
NetBSD 9.0x86_64pdcurses-3.4nb1.tgz
NetBSD 9.0x86_64pdcurses-3.4nb1.tgz
NetBSD 9.0x86_64pdcurses-3.4nb1.tgz
NetBSD 9.0x86_64pdcurses-3.4nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.